#!/bin/bash
urho3d=Urho3D-1.8-ALPHA.145-Linux-64bit-SHARED-snapshot
cd Urho3D
wget https://sourceforge.net/projects/urho3d/files/Urho3D/Snapshots/$urho3d.tar.gz/download -O Urho3D.tar.gz
tar -xvzf Urho3D.tar.gz > Urho3D.log
cd $urho3d
resource=share/Urho3D/Resources
oresource=../../$resource
mkdir $oresource/Data
mkdir $oresource/Data/Materials
mkdir $oresource/Data/Scripts
mkdir $oresource/Data/Textures
cp -r $resource/{Autoload,CoreData} $oresource
cp -r $resource/Data/{Fonts,Models,PostProcess,UI,EditorStrings.json} $oresource/Data
cp -r $resource/Data/Materials/{Editor,Particle.xml,VColUnlit.xml} $oresource/Data/Materials
cp -r $resource/Data/Scripts/{Editor.as,Editor,Utilities} $oresource/Data/Scripts
cp -r $resource/Data/Textures/{Editor,Flare.dds,UI.png,UrhoIcon.png} $oresource/Data/Textures
mkdir ../../bin
cp -r bin/{Editor.sh,Urho3DPlayer} ../../bin
mkdir ../../lib
cp -r lib/Urho3D ../../lib
